<!-- templates/index.html -->
<!doctype html>
<html>
<head>
    <title>Talk to Shakespeare</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="gui-chatbot/static/style.css">
</head>

<body>
<div class="jumbotron text-center">
    <div class="row">
        <div class="col-sm-1 col-md-1 col-lg-1">
            <img id="img_logo" src="gui-chatbot/static/images/logo-elg.png">
        </div>
        <div class="col-sm-11 col-md-11 col-lg-11">
            <h1>ELG Service: Talk to Shakespeare</h1>
        </div>
    </div>
</div>

<div class="container">
    <div id="content">
        <div class="row">

            <div class="col-sm-12 col-md-4 col-lg-6 ">
                <img id="img_shakespeare"
                     src="gui-chatbot/static/images/shakespeare.jpg">
            </div>
            <div class="col-sm-12 col-md-4 col-lg-6">
                <div id="dialogBox">
                    <div id="dialogMessageField">
                        <div id="welcome_msg" class="speech-bubble">Speak. I am bound to hear.</div>
                        <!-- <div id="user_bubble"></div> -->
                        <div id="result"></div>
                        <!-- <div class="speech-bubble-user"></div>
                        <div class="speech-bubble"></div> -->
                    </div>
                    <div id="scrollHelper">
                    </div>
                    <form id="form_user_input" method="POST" action="">
                        <div class="input-group">
                            <input type="text" class="form-control" id="user_input" name="user_input" autofocus="autofocus"></input>
                            <span class="input-group-btn">
                <input type="submit" class="btn btn-default" value="Send"></input>
              </span>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {
   console.log("Submitting form");

  // Stop form from submitting normally
  event.preventDefault();

  // Get some values from elements on the page:
  var user_input = $("#user_input").val();

  console.log("user input: " + user_input);
  console.log("pod test");

  //$( "#user_bubble" ).empty().append( '<div class="speech-bubble-user">' + user_input + '</div>' );
  $("#result").append( '<div class="speech-bubble-user">' + user_input + '</div>' );
  $("#user_input").val("");


  // Send the data using post
  $.ajax({
    url: "/dev/rest/processText/chatbot-trial",
    type: 'POST',
    data: user_input,
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        //console.log('Success!');
        $( "#result" ).append( '<div class="speech-bubble">' + data.response.texts[0].text + '</div>' );
    }
  });

});

</script>
</body>
</html>
